노드 버전의 변경 로그 및 사용 중단 상태 업데이트
curl --request PUT \
--url https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changelog": "<string>",
"deprecated": true
}
'import requests
url = "https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}"
payload = {
"changelog": "<string>",
"deprecated": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({changelog: '<string>', deprecated: true})
};
fetch('https://api.comfy.org/publishers/{publisherId}/nodes/{nodeId}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changelog": "<string>",
"comfy_node_extract_status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
"<string>"
],
"deprecated": true,
"downloadUrl": "<string>",
"id": "<string>",
"node_id": "<string>",
"status_reason": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"version": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Registry
노드 버전의 변경 로그 및 사용 중단 상태 업데이트
노드의 특정 버전의 변경 로그와 지원 중단 상태만 업데이트
PUT
/
publishers
/
{publisherId}
/
nodes
/
{nodeId}
/
versions
/
{versionId}
노드 버전의 변경 로그 및 사용 중단 상태 업데이트
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
응답
버전이 성공적으로 업데이트됨
이 버전에서 변경된 사항 요약
Comfy 노드 추출 프로세스의 상태
버전이 생성된 날짜와 시간
노드에 필요한 pip 의존성 목록
이 버전이 지원 중단되었는지 여부를 나타냅니다.
[출력 전용] 이 노드 버전을 다운로드하는 URL
노드의 고유 식별자
사용 가능한 옵션:
NodeVersionStatusActive, NodeVersionStatusDeleted, NodeVersionStatusBanned, NodeVersionStatusPending, NodeVersionStatusFlagged 이 노드가 지원하는 가속기 목록 (예: CUDA, DirectML, ROCm)
지원되는 ComfyUI 프론트엔드 버전
지원되는 ComfyUI 버전
이 노드가 지원하는 운영 체제 목록
보안 경고 및 관리자 메타데이터를 위한 관리자 전용 태그
시맨틱 버전 관리를 따르는 버전 식별자. 노드에 대해 고유해야 합니다.
⌘I